import 'package:flutter/material.dart';
import 'package:flutter_dynamic_ui/component/base_block.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';
import 'package:flutter_dynamic_ui/widget/meta_view.dart';

class DefaultBlockTitle0 extends BaseBlock {
  static final type = "default_block_title_0";

  @override
  Widget createWidget(BuildContext context, BlockData data) {
    super.createWidget(context, data);
    return Padding(
      padding: const EdgeInsets.only(left: 10, top: 10),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          MetaView(
            key: UniqueKey(),
            meta: metaList[0],
          ),
          Icon(Icons.chevron_right)
        ],
      ),
    );
  }
}
